using System.Collections.Generic;

public class Config
{
    public string name { get; set; } = "guy who didn't configure";
    public string bootstrap_servers { get; set; } = "localhost:9092";
    public string handling_group { get; set; } = null;
    public string kafka_location { get; set; } = "/usr/lib/librdkafka.so";
    public Dictionary<string, string> topics { get; set; } = new Dictionary<string, string>() {
        {"global", "silver_meddlists.global"},
        {"directorial", "silver_meddlists.directorial"}
    };
    public class Command
    {
        public string name { get; set; }
        public string shell { get; set; }
    }
    public List<Command> commands { get; set; } = new List<Command>() { new Command() { name = "echo", shell = "echo" } };
    public List<Command> checks { get; set; }
}